package com.bocloud.ims.common.config.installation;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * Image-service配置类
 * 
 * @author shaolong_tan
 *
 */
@Component("imageServiceConfig")
public class ImageServiceConfig {

    /**
     * Image service northbound ip,"192.168.2.63"
     */
    @Value("${image.service.ip:localhost}")
    private String ip;

    /**
     * Image service northbound port,"7070"
     */
    @Value("${image.service.port:7070}")
    private String port;


    /**
     * Image service southbound port,"8060"
     */
    @Value("${image.service.southbound.port:8060}")
    private String southPort;

    /**
     * Image service nfs path,"/home/cmp/"
     */
    @Value("${image.service.nfs:/home/cmp/}")
    private String nfs;

    /**
     * @return the ip
     */
    public String getIp() {
        return ip;
    }

    /**
     * @param ip
     *            the ip to set
     */
    public void setIp(String ip) {
        this.ip = ip;
    }

    /**
     * @return the port
     */
    public String getPort() {
        return port;
    }

    /**
     * @return the image service nfs
     */
    public String getNfs() {
        return nfs;
    }

    /**
     * @param port
     *            the port to set
     */
    public void setPort(String port) {
        this.port = port;
    }

    public String getSouthPort() {
        return southPort;
    }

    public void setSouthPort(String southPort) {
        this.southPort = southPort;
    }

    public void setNfs(String nfs) {
        this.nfs = nfs;
    }
}
